/// This file was autogenerated

library list_type_container;

import 'package:built_value/serializer.dart';
import 'package:built_value/built_value.dart';
import 'nx_data_page.dart';
import 'package:built_collection/built_collection.dart';
import 'nx_pivot_page.dart';
import 'nx_stack_page.dart';
import 'nx_tree_node.dart';
import 'nx_info.dart';
import 'nx_linked_object_info.dart';
import 'field_value.dart';
import 'editor_breakpoint.dart';
import 'text_macro.dart';
import 'table_row.dart';
import 'lineage_info.dart';
import 'nx_container_entry.dart';
import 'nx_matching_field_info.dart';
import 'association_score.dart';
import 'script_syntax_error.dart';
import 'connection.dart';
import 'database.dart';
import 'database_owner.dart';
import 'data_table.dart';
import 'data_field.dart';
import 'folder_item.dart';
import 'data_table_ex.dart';
import 'doc_list_entry.dart';
import 'b_n_f_def.dart';
import 'odbc_dsn.dart';
import 'ole_db_provider.dart';
import 'drive_info.dart';
import 'code_page.dart';
import 'custom_connector.dart';
import 'nx_stream_list_entry.dart';
part 'list_type_container.g.dart';

/// DO NOT USE, this is fake object to create some BuiltList serializers
abstract class ListTypeContainer
    implements Built<ListTypeContainer, ListTypeContainerBuilder> {
  static Serializer<ListTypeContainer> get serializer =>
      _$listTypeContainerSerializer;

  /// Information about the data set.
  /// Depending on the refinement level, the information is about:
  /// * The adaptive grid. Occurs when cells are rendered and not points.
  /// or
  /// * The dimension values and the measure values. Occurs when the level of detail is high (points are rendered).
  /// Original name: NxDataPageList
  @nullable
  @BuiltValueField(wireName: 'NxDataPageList')
  BuiltList<NxDataPage> get nxDataPageList;

  /// A data set.
  /// Original name: NxPivotPageList
  @nullable
  @BuiltValueField(wireName: 'NxPivotPageList')
  BuiltList<NxPivotPage> get nxPivotPageList;

  /// A data set.
  /// Original name: NxStackPageList
  @nullable
  @BuiltValueField(wireName: 'NxStackPageList')
  BuiltList<NxStackPage> get nxStackPageList;

  /// Represents the nodes and dimensions of the defined tree.
  /// Original name: NxTreeNodeList
  @nullable
  @BuiltValueField(wireName: 'NxTreeNodeList')
  BuiltList<NxTreeNode> get nxTreeNodeList;

  /// Information about all generic objects in the app.
  /// Original name: NxInfoList
  @nullable
  @BuiltValueField(wireName: 'NxInfoList')
  BuiltList<NxInfo> get nxInfoList;

  /// List of the linked objects.
  /// Original name: NxLinkedObjectInfoList
  @nullable
  @BuiltValueField(wireName: 'NxLinkedObjectInfoList')
  BuiltList<NxLinkedObjectInfo> get nxLinkedObjectInfoList;

  /// The field values from a defined range.
  /// Original name: FieldValueList
  @nullable
  @BuiltValueField(wireName: 'FieldValueList')
  BuiltList<FieldValue> get fieldValueList;

  /// Favorite variables to retrieve.
  /// Original name: StringList
  @nullable
  @BuiltValueField(wireName: 'StringList')
  BuiltList<String> get stringList;

  /// Information about the breakpoints.
  /// Original name: EditorBreakpointList
  @nullable
  @BuiltValueField(wireName: 'EditorBreakpointList')
  BuiltList<EditorBreakpoint> get editorBreakpointList;

  /// List of variables.
  /// Original name: TextMacroList
  @nullable
  @BuiltValueField(wireName: 'TextMacroList')
  BuiltList<TextMacro> get textMacroList;

  /// Array of data.
  /// Original name: TableRowList
  @nullable
  @BuiltValueField(wireName: 'TableRowList')
  BuiltList<TableRow> get tableRowList;

  /// Information about the lineage of the data in the app.
  /// Original name: LineageInfoList
  @nullable
  @BuiltValueField(wireName: 'LineageInfoList')
  BuiltList<LineageInfo> get lineageInfoList;

  /// Original name: NxContainerEntryList
  @nullable
  @BuiltValueField(wireName: 'NxContainerEntryList')
  BuiltList<NxContainerEntry> get nxContainerEntryList;

  /// List of matching fields.
  /// Original name: NxMatchingFieldInfoList
  @nullable
  @BuiltValueField(wireName: 'NxMatchingFieldInfoList')
  BuiltList<NxMatchingFieldInfo> get nxMatchingFieldInfoList;

  /// Array of computed scores.
  /// Original name: AssociationScoreList
  @nullable
  @BuiltValueField(wireName: 'AssociationScoreList')
  BuiltList<AssociationScore> get associationScoreList;

  /// []
  /// Original name: ScriptSyntaxErrorList
  @nullable
  @BuiltValueField(wireName: 'ScriptSyntaxErrorList')
  BuiltList<ScriptSyntaxError> get scriptSyntaxErrorList;

  /// List of connections.
  /// Original name: ConnectionList
  @nullable
  @BuiltValueField(wireName: 'ConnectionList')
  BuiltList<Connection> get connectionList;

  /// List of the databases in the connection.
  /// Original name: DatabaseList
  @nullable
  @BuiltValueField(wireName: 'DatabaseList')
  BuiltList<Database> get databaseList;

  /// List of owner names.
  /// Original name: DatabaseOwnerList
  @nullable
  @BuiltValueField(wireName: 'DatabaseOwnerList')
  BuiltList<DatabaseOwner> get databaseOwnerList;

  /// List of the tables.
  /// Original name: DataTableList
  @nullable
  @BuiltValueField(wireName: 'DataTableList')
  BuiltList<DataTable> get dataTableList;

  /// List of the fields.
  /// Original name: DataFieldList
  @nullable
  @BuiltValueField(wireName: 'DataFieldList')
  BuiltList<DataField> get dataFieldList;

  /// Path of the folder where the apps are stored.
  /// Original name: FolderItemList
  @nullable
  @BuiltValueField(wireName: 'FolderItemList')
  BuiltList<FolderItem> get folderItemList;

  /// List of the tables.
  /// Original name: DataTableExList
  @nullable
  @BuiltValueField(wireName: 'DataTableExList')
  BuiltList<DataTableEx> get dataTableExList;

  /// List of app identifiers.
  /// * In Qlik Sense Enterprise, the app identifier is a GUID.
  /// * In Qlik Sense Desktop, the app identifier corresponds to the app path and name.
  /// Original name: DocListEntryList
  @nullable
  @BuiltValueField(wireName: 'DocListEntryList')
  BuiltList<DocListEntry> get docListEntryList;

  /// Description of the scripting language grammar.
  /// Original name: BNFDefList
  @nullable
  @BuiltValueField(wireName: 'BNFDefList')
  BuiltList<BNFDef> get bNFDefList;

  /// List of the ODBC connectors.
  /// Original name: OdbcDsnList
  @nullable
  @BuiltValueField(wireName: 'OdbcDsnList')
  BuiltList<OdbcDsn> get odbcDsnList;

  /// List of the OLEDB providers.
  /// Original name: OleDbProviderList
  @nullable
  @BuiltValueField(wireName: 'OleDbProviderList')
  BuiltList<OleDbProvider> get oleDbProviderList;

  /// List of drives.
  /// Original name: DriveInfoList
  @nullable
  @BuiltValueField(wireName: 'DriveInfoList')
  BuiltList<DriveInfo> get driveInfoList;

  /// List of the code pages
  /// Original name: CodePageList
  @nullable
  @BuiltValueField(wireName: 'CodePageList')
  BuiltList<CodePage> get codePageList;

  /// List of the custom connectors.
  /// Original name: CustomConnectorList
  @nullable
  @BuiltValueField(wireName: 'CustomConnectorList')
  BuiltList<CustomConnector> get customConnectorList;

  /// List of the streams.
  /// Original name: NxStreamListEntryList
  @nullable
  @BuiltValueField(wireName: 'NxStreamListEntryList')
  BuiltList<NxStreamListEntry> get nxStreamListEntryList;

  factory ListTypeContainer([updates(ListTypeContainerBuilder b)]) =
      _$ListTypeContainer;

  factory ListTypeContainer.init(
          {BuiltList<NxDataPage> nxDataPageList,
          BuiltList<NxPivotPage> nxPivotPageList,
          BuiltList<NxStackPage> nxStackPageList,
          BuiltList<NxTreeNode> nxTreeNodeList,
          BuiltList<NxInfo> nxInfoList,
          BuiltList<NxLinkedObjectInfo> nxLinkedObjectInfoList,
          BuiltList<FieldValue> fieldValueList,
          BuiltList<String> stringList,
          BuiltList<EditorBreakpoint> editorBreakpointList,
          BuiltList<TextMacro> textMacroList,
          BuiltList<TableRow> tableRowList,
          BuiltList<LineageInfo> lineageInfoList,
          BuiltList<NxContainerEntry> nxContainerEntryList,
          BuiltList<NxMatchingFieldInfo> nxMatchingFieldInfoList,
          BuiltList<AssociationScore> associationScoreList,
          BuiltList<ScriptSyntaxError> scriptSyntaxErrorList,
          BuiltList<Connection> connectionList,
          BuiltList<Database> databaseList,
          BuiltList<DatabaseOwner> databaseOwnerList,
          BuiltList<DataTable> dataTableList,
          BuiltList<DataField> dataFieldList,
          BuiltList<FolderItem> folderItemList,
          BuiltList<DataTableEx> dataTableExList,
          BuiltList<DocListEntry> docListEntryList,
          BuiltList<BNFDef> bNFDefList,
          BuiltList<OdbcDsn> odbcDsnList,
          BuiltList<OleDbProvider> oleDbProviderList,
          BuiltList<DriveInfo> driveInfoList,
          BuiltList<CodePage> codePageList,
          BuiltList<CustomConnector> customConnectorList,
          BuiltList<NxStreamListEntry> nxStreamListEntryList}) =
      _$ListTypeContainer._;

  ListTypeContainer._();
}
